## org.apache.maven.plugins.site
Class AbstractSiteMojo

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.apache.maven.plugins.site.AbstractSiteMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Direct Known Subclasses:
  AbstractSiteRenderingMojo, SiteDescriptorAttachMojo

    public abstract class AbstractSiteMojo

extends org.apache.maven.plugin.AbstractMojo

Base class for site mojos.

Author:
  Brett Porter

Field Summary
`protected org.codehaus.plexus.i18n.I18N` `i18n` Internationalization.
`protected java.lang.String` `locales` A comma separated list of locales supported by Maven.
`protected org.apache.maven.artifact.repository.ArtifactRepository` `localRepository` The local repository.
`protected org.apache.maven.project.MavenProject` `project` The maven project.
`protected java.util.List` `reactorProjects` The reactor projects.
`protected java.io.File` `siteDirectory` Directory containing the site.xml file and the source for apt, fml and xdoc docs.
`protected org.apache.maven.doxia.tools.SiteTool` `siteTool` SiteTool.

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`AbstractSiteMojo()`

Method Summary
`protected java.lang.String` `getInputEncoding()` Gets the input files encoding.
`protected java.lang.String` `getOutputEncoding()` Gets the effective reporting output files encoding.
`protected void` `populateReportItems(org.apache.maven.doxia.site.decoration.DecorationModel decorationModel, java.util.Locale locale, java.util.Map reportsByOutputName)`
`protected static java.lang.String` `toRelative(java.io.File basedir, java.lang.String absolutePath)` TODO should be removed see PLXUTILS-61

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.maven.plugin.Mojo
`execute`

Field Detail

### locales

    protected java.lang.String locales

  A comma separated list of locales supported by Maven. The first valid token will be the default Locale for this instance of the Java Virtual Machine.

### siteTool

    protected org.apache.maven.doxia.tools.SiteTool siteTool

  SiteTool.

### i18n

    protected org.codehaus.plexus.i18n.I18N i18n

  Internationalization.

### siteDirectory

    protected java.io.File siteDirectory

  Directory containing the site.xml file and the source for apt, fml and xdoc docs.

### project

    protected org.apache.maven.project.MavenProject project

  The maven project.

### localRepository

    protected org.apache.maven.artifact.repository.ArtifactRepository localRepository

  The local repository.

### reactorProjects

    protected java.util.List reactorProjects

  The reactor projects.

Constructor Detail

### AbstractSiteMojo

    public AbstractSiteMojo()

Method Detail

### getInputEncoding

    protected java.lang.String getInputEncoding()

  Gets the input files encoding.

  Returns:
    The input files encoding, never `null`.

### getOutputEncoding

    protected java.lang.String getOutputEncoding()

  Gets the effective reporting output files encoding.

  Returns:
    The effective reporting output file encoding, never `null`.

### populateReportItems

    protected void populateReportItems(org.apache.maven.doxia.site.decoration.DecorationModel decorationModel,
                                       java.util.Locale locale,
                                       java.util.Map reportsByOutputName)

### toRelative

    protected static java.lang.String toRelative(java.io.File basedir,
                                                 java.lang.String absolutePath)

  TODO should be removed see PLXUTILS-61

  Parameters:
    `basedir` -
    `absolutePath` -
  Returns:

Copyright © 2011. All Rights Reserved.